# This file will be configured to contain variables for CPack. These variables
# should be set in the CMake list file of the project before CPack module is
# included. The list of available CPACK_xxx variables and their associated
# documentation may be obtained using
#  cpack --help-variable-list
#
# Some variables are common to all generators (e.g. CPACK_PACKAGE_NAME)
# and some are specific to a generator
# (e.g. CPACK_NSIS_EXTRA_INSTALL_COMMANDS). The generator specific variables
# usually begin with CPACK_<GENNAME>_xxxx.


set(CPACK_BINARY_7Z "OFF")
set(CPACK_BINARY_BUNDLE "")
set(CPACK_BINARY_CYGWIN "")
set(CPACK_BINARY_DEB "")
set(CPACK_BINARY_DRAGNDROP "")
set(CPACK_BINARY_FREEBSD "")
set(CPACK_BINARY_IFW "OFF")
set(CPACK_BINARY_NSIS "ON")
set(CPACK_BINARY_NUGET "OFF")
set(CPACK_BINARY_OSXX11 "")
set(CPACK_BINARY_PACKAGEMAKER "")
set(CPACK_BINARY_PRODUCTBUILD "")
set(CPACK_BINARY_RPM "")
set(CPACK_BINARY_STGZ "")
set(CPACK_BINARY_TBZ2 "")
set(CPACK_BINARY_TGZ "")
set(CPACK_BINARY_TXZ "")
set(CPACK_BINARY_TZ "")
set(CPACK_BINARY_WIX "OFF")
set(CPACK_BINARY_ZIP "OFF")
set(CPACK_BUILDWIN_DIR "C:/Pcomm/ge2kap_pi/buildwin")
set(CPACK_BUILD_SOURCE_DIRS "C:/Pcomm/ge2kap_pi;C:/Pcomm/ge2kap_pi/build")
set(CPACK_CMAKE_GENERATOR "Visual Studio 15 2017")
set(CPACK_COMPONENT_UNSPECIFIED_HIDDEN "TRUE")
set(CPACK_COMPONENT_UNSPECIFIED_REQUIRED "TRUE")
set(CPACK_GENERATOR "7Z;ZIP")
set(CPACK_IGNORE_FILES "^C:/Pcomm/ge2kap_pi/.git/*;^C:/Pcomm/ge2kap_pi/build*;^OpenCPN/*")
set(CPACK_INSTALLED_DIRECTORIES "C:/Pcomm/ge2kap_pi;/")
set(CPACK_INSTALL_CMAKE_PROJECTS "")
set(CPACK_INSTALL_PREFIX "C:/Program Files (x86)/ge2kap_pi/../OpenCPN")
set(CPACK_MODULE_PATH "C:/Pcomm/ge2kap_pi/buildwin")
set(CPACK_NSIS_DIR "C:/Pcomm/ge2kap_pi/buildwin/NSIS_Unicode")
set(CPACK_NSIS_DISPLAY_NAME "OpenCPN")
set(CPACK_NSIS_INSTALLER_ICON_CODE "")
set(CPACK_NSIS_INSTALLER_MUI_ICON_CODE "")
set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
set(CPACK_NSIS_PACKAGE_NAME "ge2kap_pi")
set(CPACK_OUTPUT_CONFIG_FILE "C:/Pcomm/ge2kap_pi/build/CPackConfig.cmake")
set(CPACK_PACKAGE_CONTACT "Paul Higgins")
set(CPACK_PACKAGE_DEFAULT_LOCATION "/")
set(CPACK_PACKAGE_DESCRIPTION_FILE "C:/cmake-3.14.0-rc2-win64-x64/cmake-3.14.0-rc2-win64-x64/share/cmake-3.14/Templates/CPack.GenericDescription.txt")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "ge2kap_pi;1.7")
set(CPACK_PACKAGE_EXECUTABLES "OpenCPN;ge2kap_pi")
set(CPACK_PACKAGE_FILE_NAME "ge2kap_pi-1.7-Source")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "OpenCPN")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "OpenCPN")
set(CPACK_PACKAGE_NAME "ge2kap_pi")
set(CPACK_PACKAGE_RELOCATABLE "true")
set(CPACK_PACKAGE_VENDOR "opencpn.org")
set(CPACK_PACKAGE_VERSION "1.7")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "7")
set(CPACK_PACKAGE_VERSION_PATCH "1")
set(CPACK_RESOURCE_FILE_LICENSE "C:/Pcomm/ge2kap_pi/cmake/gpl.txt")
set(CPACK_RESOURCE_FILE_README "C:/cmake-3.14.0-rc2-win64-x64/cmake-3.14.0-rc2-win64-x64/share/cmake-3.14/Templates/CPack.GenericDescription.txt")
set(CPACK_RESOURCE_FILE_WELCOME "C:/cmake-3.14.0-rc2-win64-x64/cmake-3.14.0-rc2-win64-x64/share/cmake-3.14/Templates/CPack.GenericWelcome.txt")
set(CPACK_RPM_PACKAGE_SOURCES "ON")
set(CPACK_SET_DESTDIR "OFF")
set(CPACK_SOURCE_7Z "ON")
set(CPACK_SOURCE_CYGWIN "")
set(CPACK_SOURCE_GENERATOR "7Z;ZIP")
set(CPACK_SOURCE_IGNORE_FILES "^C:/Pcomm/ge2kap_pi/.git/*;^C:/Pcomm/ge2kap_pi/build*;^OpenCPN/*")
set(CPACK_SOURCE_INSTALLED_DIRECTORIES "C:/Pcomm/ge2kap_pi;/")
set(CPACK_SOURCE_OUTPUT_CONFIG_FILE "C:/Pcomm/ge2kap_pi/build/CPackSourceConfig.cmake")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "ge2kap_pi-1.7-Source")
set(CPACK_SOURCE_RPM "")
set(CPACK_SOURCE_TBZ2 "")
set(CPACK_SOURCE_TGZ "")
set(CPACK_SOURCE_TOPLEVEL_TAG "win32-Source")
set(CPACK_SOURCE_TXZ "")
set(CPACK_SOURCE_TZ "")
set(CPACK_SOURCE_ZIP "ON")
set(CPACK_STRIP_FILES "")
set(CPACK_SYSTEM_NAME "win32")
set(CPACK_TOPLEVEL_TAG "win32-Source")
set(CPACK_WIX_SIZEOF_VOID_P "4")

if(NOT CPACK_PROPERTIES_FILE)
  set(CPACK_PROPERTIES_FILE "C:/Pcomm/ge2kap_pi/build/CPackProperties.cmake")
endif()

if(EXISTS ${CPACK_PROPERTIES_FILE})
  include(${CPACK_PROPERTIES_FILE})
endif()
